Attachments
Get an attachment download URL
Generates a presigned, time-limited download URL for the attachment; expiry is configurable via the expiresIn query parameter.
Generates a presigned, time-limited download URL for the attachment; expiry is configurable via the expiresIn query parameter.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^att_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
expiresIn?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/attachments/string/download-url"{ "url": "string", "expiresAt": "string", "attachment": { "id": "string", "messageId": "string", "organizationId": "string", "filename": "string", "contentType": "string", "size": 0, "contentId": "string", "isInline": true, "createdAt": "string" }}